## spettro-dmo 0.2

=== test/Makefile ===
# Generate a tone sweep from min_freq to max_freq (27.5 to 14080) with an
# amplitude inversely proportional to the frequency. The frequency range is
#	14080/27.5 == 512
# so in 10s the amplitude needs to go down to
#	10*Log10(14080/27.5)dB == 27.0927dB
# Sox fades logarithmically by 100dB in the time you specify so we extend
# this so that it'll be 27.0927dB down after 10 seconds:
# total fade length = 10s * 100/27.0927 == 36.91s
# Sox, with a fade longer than the piece, adds silence, which we then trim.

all:

audio.wav:
	sox --no-dither -V1 -n -b 16 -e signed $@ synth 10 sine 27.5-14080 \
				  fade l 0 36.91 36.91 trim 0 10

diffpng: diffpng.c
	$(CC) $(CFLAGS) -o diffpng diffpng.c -lpng

check: diffpng audio.wav
	../spettro -o audio-new.png -t 5 -P 64 -aA -T audio.wav
	@: Fuzz of 1 for differences between c89 output and normal output
	./diffpng -f 1 audio.png audio-new.png
	rm -f audio-new.png

distdir:
	cp -p Makefile diffpng.c audio.png $(distdir)/

install:

clean:
	rm -f audio.wav diffpng

=== debian/changelog ===
spettro-dmo (0.2-dmo2) unstable; urgency=medium

  * Build with ffmpeg 8

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Sep 2025 08:47:33 +0200

spettro-dmo (0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Sep 2024 11:13:59 +0200

spettro-dmo (0.1-dmo3) unstable; urgency=medium

  * Rebuild for time_t (libmpg123-0t64)

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 09 Apr 2024 01:03:25 +0200

spettro-dmo (0.1-dmo2) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Mar 2024 08:42:45 +0100

spettro-dmo (0.1-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 10 Feb 2024 16:47:43 +0100

=== debian/control ===
Source: spettro-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://martinwguy.net/spettro/
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), pkgconf, libsdl2-dev, libfftw3-dev,
 libmpg123-dev, libpng-dev, libavformat-dev, libavcodec-dev, libcaca-dev,

Package: spettro
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: Scrolling log-frequency-axis spectrogram audio player
 spettro displays a scrolling spectrogram with a log frequency axis in an X
 window while playing the audio file in question.

=== debian/watch ===
version=4

http://martinwguy.net/spettro/release/spettro-@ANY_VERSION@@ARCHIVE_EXT@

## spettro-dmo 0.3

=== test/Makefile ===
--- 
+++ 
@@ -11,11 +11,11 @@
 all:
 
 audio.wav:
-	sox --no-dither -V1 -n -b 16 -e signed $@ synth 10 sine 27.5-14080 \
+	sox --no-dither -V1 -n -b 16 -e signed $@ synth 10 sine 27.5/14080 \
 				  fade l 0 36.91 36.91 trim 0 10
 
 diffpng: diffpng.c
-	$(CC) $(CFLAGS) -o diffpng diffpng.c -lpng
+	$(CC) $(CFLAGS) $(LDFLAGS) -o diffpng diffpng.c -lpng
 
 check: diffpng audio.wav
 	../spettro -o audio-new.png -t 5 -P 64 -aA -T audio.wav

=== debian/changelog ===
spettro-dmo (0.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Jan 2026 08:46:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: spettro-dmo
 Section: sound
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: http://martinwguy.net/spettro/
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), pkgconf, libsdl2-dev, libfftw3-dev,
  libmpg123-dev, libpng-dev, libavformat-dev, libavcodec-dev, libcaca-dev,
+ quilt,
 
 Package: spettro
 Architecture: any

=== debian/watch ===
version=4

opts=uversionmangle=s/-win32-exe// \
http://martinwguy.net/spettro/release/spettro-@ANY_VERSION@@ARCHIVE_EXT@
